AbstractFactory (Groovy 4.0.15)

Package: groovy.util

## [Java] Class AbstractFactory

- groovy.util.AbstractFactory

- All Implemented Interfaces and Traits:
    Factory

      public abstract class AbstractFactory
      extends Object
      implements Factory

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isHandlesNodeChildren()`
    `` | `public boolean` | `isLeaf()`
    `` | `public void` | `onFactoryRegistration(FactoryBuilderSupport builder, String registeredName, String group)`
    `` | `public boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
    `` | `public boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
    `` | `public void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
    `` | `public void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
    `` | `public void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override
      public boolean isHandlesNodeChildren()

    - #### @Override
      public boolean isLeaf()

    - #### @Override
      public void onFactoryRegistration(FactoryBuilderSupport builder, String registeredName, String group)

    - #### @Override
      public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

    - #### @Override
      public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

    - #### @Override
      public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

    - #### @Override
      public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

    - #### @Override
      public void setParent(FactoryBuilderSupport builder, Object parent, Object child)